#include <iostream>
#include<stdlib.h>
#include<stdio.h>
#include<time.h>
#include<math.h>

using namespace std;

int main()
{
    int a[4]={0,1,2,5},i,j,n=0,s=0,b[13];
    long v;
    printf("unesite v: ");
    scanf("%ld",&v);
    for(i=3;i>=0;i--)
    {
        for(j=3;j>=1;j--)
        {
         b[n]=a[j]*pow(10,a[i])+0.5;
         n++;
        }
    }


    for(i=0;i<n;i++)
    {
        if(b[i]<=v&&v>0){
        do{

            v-=b[i];
            s++;
        }while(b[i]<=v);

        }
    }

    printf("%d",s);
    return 0;
}